VirtualBox

Ticket #7747 (closed defect: wontfix)

Opened 3 years ago

Last modified 3 years ago

VirtualBox rpm package for Fedora does not include gcc as a dependency

Reported by: mbarren Owned by:
Priority: major Component: installer
Version: VirtualBox 3.2.10 Keywords: fedora, rpm
Cc: Guest type: other
Host type: Linux

Description

VirtualBox-3.2.10 rpm package does not include gcc as a dependency. As a result, the kernel module fails to compile on systems with no gcc installed. Attached is the install log.

Attachments

vbox-install.log Download (2.0 KB) - added by mbarren 3 years ago.

Change History

Changed 3 years ago by mbarren

comment:1 Changed 3 years ago by Technologov

+1. Hmmm. This applies to other distros as well.

-Technologov

comment:2 Changed 3 years ago by frank

  • Status changed from new to closed
  • Resolution set to wontfix

We will not add this dependency. The reason is that this dependency is usually added by DKMS or by the corresponding kernel-devel package. The other problem is that gcc is not necessarily the package which is required for compiling the kernel headers. For instance, on Debian/Lenny the correct package is gcc-4.1 for linux-headers-2.6.26, for linux-headers-2.6.32 it is gcc-4.3. The Debian packages have a recommendation for DKMS but unfortunately the concept of recommending packages does not exist for rpm-based packages.

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use